From 3ffd2a878e6380c32192e826f5c62635dc95706c Mon Sep 17 00:00:00 2001
From: "Paul A. Jungwirth" <pj@illuminatedcomputing.com>
Date: Mon, 28 Oct 2024 21:36:22 -0700
Subject: [PATCH v1] Document how to run specific regress tests

Added a section to regress.sgml describing make check-tests and make
installcheck-tests.
---
 doc/src/sgml/regress.sgml | 12 ++++++++++++
 1 file changed, 12 insertions(+)

diff --git a/doc/src/sgml/regress.sgml b/doc/src/sgml/regress.sgml
index f4cef9e80f7..bddf3aadc94 100644
--- a/doc/src/sgml/regress.sgml
+++ b/doc/src/sgml/regress.sgml
@@ -125,6 +125,18 @@ make installcheck-parallel
   </para>
   </sect2>
 
+  <sect2 id="regress-subset">
+   <title>Running Specific Tests</title>
+
+   <para>
+    You can run a subset of the regression tests by saying
+    <literal>make check-tests TESTS="boolean char"</literal> or
+    <literal>make installcheck-tests TESTS="boolean char"</literal>.
+    Note that sometimes tests depend on each other, so you might get
+    extra failures.
+   </para>
+  </sect2>
+
   <sect2 id="regress-additional">
    <title>Additional Test Suites</title>
 
-- 
2.45.0

